<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.Cursor?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.SplitPane?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.control.TextArea?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.Pane?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>

<SplitPane dividerPositions="0.5" prefHeight="774.0" prefWidth="641.0" xmlns="http://javafx.com/javafx/8.0.171" xmlns:fx="http://javafx.com/fxml/1" fx:controller="pinchgui.app_ui.view.StreamHeatCapacityTableController">
   <items>
    <AnchorPane maxWidth="500.0" minWidth="-Infinity" prefWidth="317.0">
         <children>
            <VBox alignment="TOP_CENTER" maxHeight="1.7976931348623157E308" maxWidth="1.7976931348623157E308" prefHeight="450.0" prefWidth="317.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
               <children>
                  <Pane prefHeight="30.0" prefWidth="257.0" />
                  <Label fx:id="title" alignment="CENTER" contentDisplay="TOP" maxWidth="1.7976931348623157E308" onMouseClicked="#goToDefinition" styleClass="link" text="Tableau des flux">
                     <font>
                        <Font size="17.0" />
                     </font>
                     <cursor>
                        <Cursor fx:constant="DEFAULT" />
                     </cursor>
                  </Label>
                  <Pane prefHeight="5.0" prefWidth="317.0" />
                  <Label fx:id="infoText" contentDisplay="TOP" maxWidth="1.7976931348623157E308" prefHeight="52.0" prefWidth="317.0" text="message infos" textFill="#727272" wrapText="true">
                     <cursor>
                        <Cursor fx:constant="DEFAULT" />
                     </cursor>
                     <padding>
                        <Insets left="15.0" right="15.0" />
                     </padding>
                  </Label>
                  <HBox prefWidth="317.0">
                     <children>
                        <Label fx:id="dTminLabel" alignment="CENTER" prefWidth="80.0" text="DTmin" textAlignment="CENTER" />
                        <TextField fx:id="dTminChoice" onAction="#applyDTminTextChoice" />
                        <TextField fx:id="dTminDisplay" alignment="CENTER_RIGHT" editable="false" />
                     </children>
                  </HBox>
                  <TableView fx:id="tab" editable="true" maxHeight="1.7976931348623157E308" maxWidth="1.7976931348623157E308" minHeight="-Infinity" minWidth="-Infinity" prefHeight="197.0" prefWidth="257.0" styleClass="tab" stylesheets="@css/style.css">
                    <placeholder>
      				      <Label text="" />
      				    </placeholder>
                    <columns>
                      <TableColumn fx:id="nameColumn" prefWidth="75.0" />
                      <TableColumn fx:id="cpColumn" prefWidth="75.0" />
                        <TableColumn fx:id="teColumn" prefWidth="75.0" />
                        <TableColumn fx:id="tsColumn" prefWidth="75.0" />
                        <TableColumn fx:id="dmColumn" prefWidth="75.0" />
                        <TableColumn fx:id="typeColumn" prefWidth="75.0" />
                    </columns>
                     <columnResizePolicy>
                        <TableView fx:constant="CONSTRAINED_RESIZE_POLICY" />
                     </columnResizePolicy>
                     <cursor>
                        <Cursor fx:constant="TEXT" />
                     </cursor>
                  </TableView>
                  <Pane prefHeight="12.0" prefWidth="257.0" />
                  <HBox alignment="CENTER" prefHeight="33.0" prefWidth="317.0" spacing="20.0">
                     <children>
                        <Button fx:id="importCsv" alignment="CENTER" contentDisplay="CENTER" mnemonicParsing="false" onAction="#importCsvFile" prefHeight="25.0" prefWidth="183.0" style="-fx-background-color: #b37312; -fx-text-fill: #ffffff;" text="Importer depuis un fichier csv" textAlignment="CENTER" wrapText="true" />
                        <Button fx:id="addRow" alignment="CENTER" contentDisplay="CENTER" mnemonicParsing="false" onAction="#addNewRow" prefHeight="25.0" prefWidth="130.0" text="Ajouter une ligne +" textAlignment="CENTER" />
                     </children>
                  </HBox>
                  <HBox alignment="CENTER" prefHeight="33.0" prefWidth="317.0" spacing="20.0">
                     <children>
                        <Button fx:id="exportCsv" alignment="CENTER" contentDisplay="CENTER" mnemonicParsing="false" onAction="#exportCsvFile" prefHeight="25.0" prefWidth="183.0" style="-fx-background-color: #b37312; -fx-text-fill: #ffffff;" text="Exporter dans un fichier csv" textAlignment="CENTER" />
                        <Button fx:id="deleteRow" alignment="CENTER" contentDisplay="CENTER" mnemonicParsing="false" onAction="#deleteRow" prefHeight="25.0" prefWidth="130.0" text="Supprimer la ligne -" textAlignment="CENTER" />
                     </children>
                  </HBox>
                  <Pane prefHeight="25.0" prefWidth="257.0" />
                  <HBox alignment="CENTER">
                     <children>
                        <VBox>
                           <children>
                              <Button fx:id="switchButton" mnemonicParsing="false" onAction="#switchTableMode" prefHeight="25.0" prefWidth="100.0" text="Switch" />
                           </children>
                        </VBox>
                        <Pane prefHeight="25.0" prefWidth="60.0" />
                        <VBox>
                           <children>
                              <Button fx:id="run" alignment="CENTER" contentDisplay="CENTER" mnemonicParsing="false" onAction="#runAlgo" prefHeight="25.0" prefWidth="100.0" text="Run &gt;&gt;" />
                           </children>
                        </VBox>
                     </children>
                  </HBox>
                  <Pane prefHeight="44.0" prefWidth="317.0" />
                  <Label fx:id="exceptionTitle" contentDisplay="TOP" maxWidth="1.7976931348623157E308" onMouseClicked="#goToDefinition" text="Problème d'analyse" textFill="#a40606" visible="false">
                     <font>
                        <Font name="System Bold" size="14.0" />
                     </font>
                     <cursor>
                        <Cursor fx:constant="DEFAULT" />
                     </cursor>
                     <VBox.margin>
                        <Insets left="15.0" right="15.0" />
                     </VBox.margin>
                  </Label>
                  <TextArea fx:id="exceptionMessage" editable="false" prefHeight="89.0" prefWidth="317.0" style="-fx-background-color: #d11515;" text="Message d'erreur" visible="false" wrapText="true">
                     <VBox.margin>
                        <Insets left="15.0" right="15.0" />
                     </VBox.margin>
                  </TextArea>
               </children>
            </VBox>
         </children>
      </AnchorPane>
      <AnchorPane prefHeight="200.0" prefWidth="316.0" />
   </items>
</SplitPane>
